org.apache.ignite.internal.processors.cache.persistence.metastorage

## Interface ReadOnlyMetastorage

All Known Subinterfaces:
  ReadWriteMetastorage

All Known Implementing Classes:
  MetaStorage

    public interface ReadOnlyMetastorage

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `iterate(String keyPrefix, BiConsumer<String,? super Serializable> cb, boolean unmarshal)` Read all key/value pairs where key has provided prefix.
`Serializable` `read(String key)`
`byte[]` `readRaw(String key)`

### Method Detail

#### read

    Serializable read(String key)
               throws IgniteCheckedException

Throws:
  `IgniteCheckedException`

#### readRaw

    byte[] readRaw(String key)
            throws IgniteCheckedException

Throws:
  `IgniteCheckedException`

#### iterate

    void iterate(String keyPrefix,
                 BiConsumer<String,? super Serializable> cb,
                 boolean unmarshal)
          throws IgniteCheckedException

Read all key/value pairs where key has provided prefix. It is guaranteed that callback will be applied to matching keys in ascending order.

Parameters:
  `keyPrefix` - Key prefix.
  `cb` - Callback to invoke on each matching key/value pair.
  `unmarshal` - `True` if object passed into `cb` should be unmarshalled.
Throws:
  `IgniteCheckedException` - If failed.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022